#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kcodecs
Version		:	5.107.0
Release		:	16.2.0.rel%{?dist}
Summary		:	KDE string encoding library

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
#-----------------------------------------------------------------------------
%description
KCodecs provide a collection of methods to manipulate strings
using various encodings.

It can automatically determine the charset of a string, translate
XML entities, validate email addresses, and find encodings by name
in a more tolerant way than QTextCodec (useful e.g. for data coming
from the Internet).

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DBUILD_TESTING=OFF 					\
	-Wno-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc README.md
%{_includedir}/KF5/KCodecs/*
%{_libdir}/cmake/KF5Codecs/*.cmake
%{_libdir}/libKF5Codecs.so*
%{_datadir}/locale/*/LC_MESSAGES/%{name}5_qt.qm
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
